Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedi.parser
Class SimpleNode

    java.lang.Object
      |
      +--jedi.parser.SimpleNode

All Implemented Interfaces:
  Node

Direct Known Subclasses:
  ASTAdditiveExpression, ASTAllocationExpression, ASTAndExpression, ASTArgumentList, ASTArguments, ASTArrayDimsAndInits, ASTArrayInitializer, ASTAssignmentOperator, ASTBlock, ASTBlockStatement, ASTBooleanLiteral, ASTBreakStatement, ASTCastExpression, ASTCastLookahead, ASTClassBody, ASTClassBodyDeclaration, ASTClassDeclaration, ASTCompilationUnit, ASTConditionalAndExpression, ASTConditionalExpression, ASTConditionalOrExpression, ASTConstructorDeclaration, ASTContinueStatement, ASTDoStatement, ASTEmptyStatement, ASTEqualityExpression, ASTExclusiveOrExpression, ASTExplicitConstructorInvocation, ASTExpression, ASTFieldDeclaration, ASTForInit, ASTFormalParameter, ASTFormalParameters, ASTForStatement, ASTForUpdate, ASTIfStatement, ASTImportDeclaration, ASTInclusiveOrExpression, ASTInitializer, ASTInstanceOfExpression, ASTInterfaceDeclaration, ASTInterfaceMemberDeclaration, ASTLabeledStatement, ASTLiteral, ASTLocalVariableDeclaration, ASTMethodDeclaration, ASTMethodDeclarationLookahead, ASTMethodDeclarator, ASTMultiplicativeExpression, ASTName, ASTNameList, ASTNestedClassDeclaration, ASTNestedInterfaceDeclaration, ASTNullLiteral, ASTPackageDeclaration, ASTPostfixExpression, ASTPreDecrementExpression, ASTPreIncrementExpression, ASTPrimaryExpression, ASTPrimaryPrefix, ASTPrimarySuffix, ASTPrimitiveType, ASTRelationalExpression, ASTResultType, ASTReturnStatement, ASTShiftExpression, ASTStatement, ASTStatementExpression, ASTStatementExpressionList, ASTSwitchLabel, ASTSwitchStatement, ASTSynchronizedStatement, ASTThrowStatement, ASTTryStatement, ASTType, ASTTypeDeclaration, ASTUnaryExpression, ASTUnaryExpressionNotPlusMinus, ASTUnmodifiedClassDeclaration, ASTUnmodifiedInterfaceDeclaration, ASTVariableDeclarator, ASTVariableDeclaratorId, ASTVariableInitializer, ASTWhileStatement

public class SimpleNode
extends java.lang.Object
implements Node

Field Summary
`protected Node[]` | `children`
`protected Token` | `first_token`
`protected int` | `id`
`protected Token` | `last_token`
`protected Node` | `parent`
`protected JavaParser` | `parser`

Constructor Summary
`SimpleNode(int i)`
`SimpleNode(JavaParser p, int i)`

Method Summary
`void` | `dump(java.lang.String prefix)`
`FileLocation` | `getJavaDoc()`
`void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.
`void` | `jjtClose()` This method is called after all the child nodes have been added.
`Node` | `jjtGetChild(int i)` This method returns a child node.
`int` | `jjtGetNumChildren()` Return the number of children the node has.
`Node` | `jjtGetParent()`
`void` | `jjtOpen()` This method is called after the node has been made the current node.
`void` | `jjtSetParent(Node n)` This pair of methods are used to inform the node of its parent.
`java.lang.String` | `toString()`
`java.lang.String` | `toString(java.lang.String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### parent

    protected Node parent

### children

    protected Node[] children

### id

    protected int id

### parser

    protected JavaParser parser

### first_token

    protected Token first_token

### last_token

    protected Token last_token

Constructor Detail

### SimpleNode

    public SimpleNode(int i)

### SimpleNode

    public SimpleNode(JavaParser p,
                      int i)

Method Detail

### dump

    public void dump(java.lang.String prefix)

### getJavaDoc

    public FileLocation getJavaDoc()

### jjtAddChild

    public void jjtAddChild(Node n,
                            int i)

  Description copied from interface: `Node`
  This method tells the node to add its argument to the node's list of children.
  Specified by:
    `jjtAddChild` in interface `Node`

### jjtClose

    public void jjtClose()

  Description copied from interface: `Node`
  This method is called after all the child nodes have been added.
  Specified by:
    `jjtClose` in interface `Node`

### jjtGetChild

    public Node jjtGetChild(int i)

  Description copied from interface: `Node`
  This method returns a child node. The children are numbered from zero, left to right.
  Specified by:
    `jjtGetChild` in interface `Node`

### jjtGetNumChildren

    public int jjtGetNumChildren()

  Description copied from interface: `Node`
  Return the number of children the node has.
  Specified by:
    `jjtGetNumChildren` in interface `Node`

### jjtGetParent

    public Node jjtGetParent()

  Specified by:
    `jjtGetParent` in interface `Node`

### jjtOpen

    public void jjtOpen()

  Description copied from interface: `Node`
  This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.
  Specified by:
    `jjtOpen` in interface `Node`

### jjtSetParent

    public void jjtSetParent(Node n)

  Description copied from interface: `Node`
  This pair of methods are used to inform the node of its parent.
  Specified by:
    `jjtSetParent` in interface `Node`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(java.lang.String prefix)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD